THREATINT

We use these services and cookies to improve your user experience. You may opt out if you wish, however, this may limit some features on this site.

Please see our statement on Data Privacy.

Fathom (Privacy friendly web analytics)
Zendesk (Helpdesk and Chat)

Ok

Home | EN
Support
CVE
PUBLISHED

CVE-2024-39888

Assignersiemens
Reserved2024-07-02
Published2024-07-09
Updated2024-07-09

Description

A vulnerability has been identified in Mendix Encryption (All versions >= V10.0.0 < V10.0.2). Affected versions of the module define a specific hard-coded default value for the EncryptionKey constant, which is used in projects where no individual EncryptionKey was specified. This could allow to an attacker to decrypt any encrypted project data, as the default encryption key can be considered compromised.



HIGH: 7.5CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N
HIGH: 8.7CVSS:4.0/AV:N/AC:L/AT:N/PR:N/UI:N/VC:H/VI:N/VA:N/SC:N/SI:N/SA:N

Problem types

CWE-547: Use of Hard-coded, Security-relevant Constants

Product status

Default status
unknown

V10.0.0 before V10.0.2
affected

References

https://cert-portal.siemens.com/productcert/html/ssa-998949.html

cve.org CVE-2024-39888

nvd.nist.gov CVE-2024-39888

Download JSON

Share this page
https://cve.threatint.com/CVE/CVE-2024-39888
© Copyright 2024 THREATINT. Made in Cyprus with +